<?php
ini_set('display_errors', 1); ini_set('display_startup_errors', 1); error_reporting(E_ALL);

// Require the initialisation file
require_once '../../../../init.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';

require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/lib/OA/Admin/TemplatePlugin.php';
require_once MAX_PATH . '/plugins/bannerTypeHtml/vastInlineBannerTypeHtml/commonAdmin.php';

if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
	
/* OA_Permission::enforceAccount(OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
OA_Permission::enforceAccessToObject('zones', $zoneid, true); */

$pageName = basename($_SERVER['SCRIPT_NAME']);
$agencyId = OA_Permission::getAgencyId();
$aEntities = array('affiliateid' => $affiliateid, 'zoneid' => $zoneid);
$aOtherPublishers = Admin_DA::getPublishers(array('agency_id' => $agencyId));
$aOtherZones = Admin_DA::getZones(array('publisher_id' => $affiliateid));
$delivery = $aOtherZones[$zoneid]['type'];
//MAX_displayNavigationZone($pageName, $aOtherPublishers, $aOtherZones, $aEntities);

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
$admin_path =  $GLOBALS['_MAX']['CONF']['webpath']['admin'];

$djprotocol = '';

if ($GLOBALS['_MAX']['SSL_REQUEST']) 
{
$djprotocol='https://';
}
else
{
$djprotocol='http://';
}

$path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['delivery'];
$parth = explode('www', $path);
$root_path = $parth[0];

//~AFR PATH
$app_path = $GLOBALS['_MAX']['CONF']['dsp']['apphost'];

if($GLOBALS['_MAX']['CONF']['dsp']['appport'] != '')
{
	$app_path .= ':'.$GLOBALS['_MAX']['CONF']['dsp']['appport'];
}

//echo $afr_path = $djprotocol.$app_path.'/';
$afr_path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['delivery'];
$js_path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['admin'].'/plugins/HbInvocation/assets/js/';
$css_path = $djprotocol.$GLOBALS['_MAX']['CONF']['webpath']['admin'].'/plugins/HbInvocation/assets/css/';
$hbinvocation_tag = '';


if($delivery == 6 || $delivery == 8)
{
//~BIDDER DETAILS
$exst_bid = OA_Dal_Delivery_query("SELECT affiliate_id, zone_id, bidder_detail, banner_type, bidding_type, bidders, timeout, vid_details FROM {$table_prefix}djax_thirdparty_invocation WHERE affiliate_id = {$_GET['affiliateid']} AND zone_id = {$_GET['zoneid']}");

$biddingdetails = OA_Dal_Delivery_fetchAssoc($exst_bid);
$bidders = unserialize($biddingdetails['bidder_detail']);


// $bidderdetails = unserialize($biddingdetails['bidder_detail']);
$bidderdetails = array();
//~TIMEOUT DETAILS
$timeout = $biddingdetails['timeout'];
$bidder_detail = array();
$j = 0;


foreach ($bidders as $key => $value) {

	$i = 0;

	foreach ($value as $val => $params) 
	{
		$bidderdetails[$i] = array( 'bidder' => $val, 'params' => $params);$i++;
	}
}
 

//~BIDDERS DETAILS
$bidders_list = array();
foreach ($bidders['bidder'] as $key => $value) 
{
	$bidders_list[] = $key;
}

//~BIDDERS LIST
$bidders_list = json_encode($bidders_list);

//~BIDDER DETAILS
$bidder_detail = json_encode($bidderdetails);

//~BIDFLOOR PRICE DETAILS
$query = OA_Dal_Delivery_query("SELECT width, height, floor_price, delivery FROM {$table_prefix}zones WHERE zoneid = {$_GET['zoneid']} ");
$value = OA_Dal_Delivery_fetchAssoc($query);
$bidfloor = $value['floor_price'];

$postbid = md5("{$conf['webpath']['delivery']}*{$conf['webpath']['deliverySSL']}");
//$postbid = rand(10, 999999);

//~HB BIDDER DETAILS
$query1 = OA_Dal_Delivery_query("SELECT account_id, default_vendor FROM {$table_prefix}hb_serverside_settings");
$value1 = OA_Dal_Delivery_fetchAssoc($query1);

}

//~FOR VIDEO ADS
if($value['delivery'] == 6)
{
	$serverside_video = '';
	$random_no = rand(10, 999999);
	$vid = "vid".$random_no;
	$vid_details = unserialize($biddingdetails['vid_details']);
	$vid_width = $vid_details['vid_width'];
	$vid_height = $vid_details['vid_height'];
	$vid_source = $vid_details['vid_source'];
	$vid_extention = $vid_details['vid_extention'];
	
if($biddingdetails['bidding_type'] == 2)
{
	$serverside_video = 
  	'pbjs.setConfig({
		cache: {
			url: "https://prebid.adnxs.com/pbc/v1/cache"
		},
		debug: true,
		enableSendAllBids: true,
		s2sConfig: {
			endpoint: "https://prebid.adnxs.com/pbs/v1/openrtb2/auction",
			enabled: true,
			accountId: "'.$value1['account_id'].'",
			bidders: '.$bidders_list.'
		}
	});';
}
}

	?>



<script async src="<?php echo $afr_path; ?>/prebid.js"></script>
<script >

var pbjs = pbjs || {};
pbjs.que = pbjs.que || [];
var floor= "<?php echo $value['floor_price'];?>";

var videoId = "<?php echo $vid;?>";
var width = <?php echo $vid_width;?>;
var height = <?php echo $vid_height;?>;
var bidders = <?php echo $bidder_detail;?>;
var timeOut = <?php echo $timeout;?>;
/* Prebid video ad unit */

var videoAdUnit = {
    code: videoId,
    mediaTypes: {
        video: {
            playerSize: [width, height],
	      	context: "instream",
	      	mimes: ["<?php echo $vid_extention;?>"],
	      	protocols: [1, 2, 3, 4, 5, 6, 7, 8],
	      	playbackmethod: [2],
			linearity: 1,
			api: [1, 2],
			placement: 1,
			skip: 1,
			maxduration: 20
        }
    },
	bids: bidders
};


pbjs.que.push(function() {
  pbjs.setConfig({
		cache: {
			url: "https://prebid.adnxs.com/pbc/v1/cache"
		}
  });

    pbjs.addAdUnits(videoAdUnit);
  
    pbjs.requestBids({
		timeout: timeOut,
        bidsBackHandler: function(bids) {
			
			var bids=pbjs.getAdserverTargeting();
			const highestCpmBids = pbjs.getHighestCpmBids(videoId);
          console.log(highestCpmBids);
            if(highestCpmBids && highestCpmBids[0]){
                var vasturl = highestCpmBids[0].vastUrl;
                document.getElementById("invo_code").innerHTML = vasturl;
            }else{
                document.getElementById("invo_code").innerHTML = "No Bid response";
            }
        }
    });
});

</script> 
<script type="text/javascript">

var xmlHttp = new XMLHttpRequest();
xmlHttp.open( "GET", "https://revphpe.djaxbidder.com/headerbid/vast3_wrapperxml.php?affiliateid=14&zoneid=38", false ); 
xmlHttp.getResponseHeader("Content-type", "application/json");
xmlHttp.send( null );
if(xmlHttp.responseText!="" && xmlHttp.responseText!=null && xmlHttp.responseText!="undefined"){   
	document.write (xmlHttp.responseText);
	document.getElementById("xml_code").innerHTML = xmlHttp.responseText;
}

</script>

<div id="<?php echo $vid;?>"> </div>
<p id="invo_code"></p>
<p id="xml_code"></p>
