<?php

require_once '../../init.php';
require_once MAX_PATH . '/lib/OA/Dal.php';

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

if (isset($_SERVER['HTTP_ORIGIN'])) {
	header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
	header('Access-Control-Allow-Credentials: true');
} else {
	header("Access-Control-Allow-Origin:*");
}
$zoneid = $_GET['zoneid'];
// $rquery =OA_Dal_Delivery_query(
// 	"
// 	SELECT
// 		b.campaignid AS cid,
// 		z.ad_id AS aid

// 	FROM
// 		" .$table_prefix."ad_zone_assoc".
// 	" AS z JOIN
// 		" .$table_prefix."banners".
// 	" AS b ON (z.ad_id = b.bannerid AND ext_bannertype='bannerTypeHtml:videoads:videoads') 
// 	WHERE
// 	z.zone_id = $zoneid ORDER BY RAND() LIMIT 1
// ");
// $rfetdata = OA_Dal_Delivery_fetchAssoc($rquery);

$bannerid = $_GET['bannerid'];

$campaignid = $_GET['campaignid'];


$tracking = urldecode($_GET['tracking']);

$admin_path = $GLOBALS['_MAX']['CONF']['webpath']['admin'];
$delivery_path = $GLOBALS['_MAX']['CONF']['webpath']['delivery'];
$djprotocol = ($GLOBALS['_MAX']['SSL_REQUEST']) ? 'https://' : 'http://';

$path = explode('/', $admin_path);

$size = sizeof($path);

for ($i = 0; $i < $size - 2; $i++) {
	$root .= $path[$i] . '/';
}

$fc_paths = $djprotocol . $root;

$query = OA_Dal_Delivery_query("select parameters from {$table_prefix}banners where bannerid=" . $bannerid);
$value = OA_Dal_Delivery_fetchAssoc($query);

$values = unserialize($value['parameters']);

if ($values['vast_video_duration']) {
	$duration = $values['vast_video_duration'];
} else {
	$duration = '';
}

$clickurl = '';


function OX_Delivery_Common_getClickSignature_value(int $adId, int $zoneId, string $data)
{
	$secret = join("\t", [
		base64_decode($GLOBALS['_MAX']['CONF']['delivery']['secret']),
		$adId,
		$zoneId
	]);
	return hash_hmac(
		'sha256',
		$data,
		$secret
	);
}

if ($values['vast_video_clickthrough_url'] != '') {
	$sig = OX_Delivery_Common_getClickSignature_value($bannerid, $zoneid, $values['vast_video_clickthrough_url']);
	$random = rand();


	$clickurl = $djprotocol . $delivery_path . '/cl.php?bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&cb=' . $random . '&sig=' . $sig . '__dest=' . $values['vast_video_clickthrough_url'];

} elseif ($values['destination_url']) {
	$sig = OX_Delivery_Common_getClickSignature_value($bannerid, $zoneid, $values['destination_url']);
	$random = rand();


	$clickurl = $djprotocol . $delivery_path . '/cl.php?bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&cb=' . $random . '&sig=' . $sig . '__dest=' . $values['destination_url'];

}
$random = rand();

$logurl = $djprotocol . $delivery_path . '/lg.php?bannerid=' . $bannerid . '&campaignid=' . $campaignid . '&zoneid=' . $zoneid . '&cb=' . $random;
// print_r($logurl);
// exit;
if ($_REQUEST['adtype']) {
	$skip = '';
} else {
	if ($values['vast_video_skip_duration']) {
		$skip = $values['vast_video_skip_duration'];
		$skip = "skipoffset='.$skip.'";
	}
}


if ($values['vast_video_outgoing_filename']) {
	$video_input = $values['vast_video_outgoing_filename'];
} elseif ($values['video_url']) {
	$video_input = $values['video_url'];
} else {
	$video_input = $djprotocol . $GLOBALS['_MAX']['CONF']['webpath']['images'] . "/" . $values['rm_video'];
}






$fc_path = $djprotocol . $conf['webpath']['delivery'] . '/fc.php';
$loc = $_GET['loc'];
$loc = "*";

//~XML GENERATOR
//echo $bannerid;
$xml_response = '<VAST xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="3.0" xsi:noNamespaceSchemaLocation="vast.xsd">
 <Ad id="' . $zoneid . '">
<InLine>
<AdSystem>
<![CDATA[ Reviveadserveod.com ]]>
</AdSystem>
<AdTitle>
<![CDATA[ VAST_3 ]]>
</AdTitle>
<Pricing model="cpm" currency="USD">
<![CDATA[ 3.0000 ]]>
</Pricing>
<Impression><![CDATA[' . $logurl . ']]></Impression>
<Creatives>
<Creative id="' . $zoneid . '">
<Linear' . $skip . '>
<Duration>' . $duration . '</Duration>
<TrackingEvents>
<Tracking event="start">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=start ]]>
</Tracking>
<Tracking event="firstQuartile">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=firstquartile ]]>
</Tracking>
<Tracking event="midpoint">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=midpoint ]]>
</Tracking>
<Tracking event="thirdQuartile">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=thirdquartile ]]>
</Tracking>
<Tracking event="complete">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=complete ]]>
</Tracking>
<Tracking event="pause">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=pause ]]>
</Tracking>
<Tracking event="mute">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=mute ]]>
</Tracking>
<Tracking event="fullscreen">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=fullscreen ]]>
</Tracking>
<Tracking event="unmute">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=unmute ]]>
</Tracking>
<Tracking event="closeLinear">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=closeLinear ]]>
</Tracking>
<Tracking event="acceptInvitationLinear">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=acceptInvitationLinear ]]>
</Tracking>
<Tracking event="skip">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=skip ]]>
</Tracking>
<Tracking event="progress" offset="00:00:05">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=progress ]]>
</Tracking>
<Tracking event="exitFullscreen">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=exitfullscreen ]]>
</Tracking>
<Tracking event="rewind">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=rewind ]]>
</Tracking>
<Tracking event="resume">
<![CDATA[ ' . $fc_path . '?script=videoAds:vastEvent&bannerid=' . $bannerid . '&zoneid=' . $zoneid . '&event=resume ]]>
</Tracking>
</TrackingEvents>
<VideoClicks>
<ClickThrough><![CDATA[' . $clickurl . ']]></ClickThrough>
</VideoClicks>
<MediaFiles>
<MediaFile delivery="progressive" bitrate="400" width="640" height="360" type="video/mp4" scalable="true" maintainAspectRatio="true">
<![CDATA[' . $video_input . ']]>
</MediaFile>
</MediaFiles>
</Linear>
</Creative>
</Creatives>
</InLine>
</Ad>
</VAST>';
header('Content-type: application/xml');
echo $xml_response;
// }
?>