//
//  TopBannerAdVc.swift
//  DemoApp
//
//  Created by Djax on 23/06/23.
//

import UIKit
import WebKit
import SDK_Lib

class TopBannerAdVc: UIViewController {

    @IBOutlet weak var bannerView: WKWebView!
    @IBOutlet weak var svView: UIScrollView!
    @IBOutlet weak var viewHeightConstraint: NSLayoutConstraint?

    var fromPage:String? = ""
    var adResponse = AdResponse()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        bannerView.isHidden = true
        adResponse.webViewDelegate = self
        adResponse.topBannerAdIntegration()
    }
}
extension TopBannerAdVc : WebViewUpdateDelegate {
    func updateWebView(webV: WKWebView) {
        bannerView.isHidden = false
        viewHeightConstraint?.constant = webV.frame.size.height
        bannerView?.addSubview(webV)
    }
}
