<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
// Require the initialisation file
require_once '../../../../init.php';
 if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

session_start();

// Required files

require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/OA/Creative/File.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/max/Admin_DA.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Translation.php';
require_once MAX_PATH . '/lib/pear/Date.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/lib/OX/Util/Utils.php';
require_once MAX_PATH . '/lib/OX/Admin/UI/ViewHooks.php';

phpAds_registerGlobal('breakdown', 'entity', 'agency_id', 'advertiser_id',
                      'clientid', 'campaignid', 'placement_id', 'ad_id',
                      'bannerid', 'publisher_id', 'affiliateid', 'zone_id',
                      'zoneid', 'start_date', 'end_date', 'sort', 'asc',
                      'show', 'expand', 'day', 'plugin', 'peroid_preset',
                      'tempPeriodPreset', 'GraphFile', 'graphFilter','graphFields',
                      'listorder', 'orderdirection'
                     );
                  
$day            = htmlspecialchars($day);
$listorder      = htmlspecialchars($listorder);
$orderdirection = htmlspecialchars($orderdirection);
if (!($orderdirection == 'up' || $orderdirection == 'down')) 
{
	if (stristr($orderdirection, 'down')) 
	{
        $orderdirection = 'down';
	} 
	else 
	{
        $orderdirection = 'up';
    }
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
$url = 'http://'.$GLOBALS['conf']['webpath']['admin'];

OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN,OA_ACCOUNT_TRAFFICKER);

$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Vast Event Reports");
phpAds_PageHeader('VastEvent', $oHeaderModel);
// Initialise some parameters
$pageName = basename($_SERVER['SCRIPT_NAME']);
$tabindex = 1;
$agency_id = $GLOBALS['session']['user']->aAccount['agency_id'];
$affiliate_id = $_GET['affiliateid'];
$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("select account_id from {$table_prefix}affiliates where affiliateid='".$affiliate_id."'"));
$account_id = $account_id['account_id'];
$_period = !empty($_POST['period_preset']) ? $_POST['period_preset'] : '';

if($_POST['period_preset']!='')
{
if (isset($_SESSION["geoquery"])) 
{
		if (basename($_SERVER['PHP_SELF']) != $_SESSION["query2"]) 
		  {
             session_unset();
          }
}

if($_POST['period_preset']=='today')
	{
		
		$start=date('Y-m-d 00:00:00');
		$end=date('Y-m-d 23:59:59');
		$startdate=$start;
		$endate=$end; 
	}
	else if($_POST['period_preset']=='yesterday')
	{
		
		$start=date('Y-m-d 00:00:00', strtotime('Yesterday'));
		$end=date('Y-m-d 23:59:59', strtotime('Yesterday'));
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; 
	}
	else if($_POST['period_preset']=='this_week')
	{
		$start=date('Y-m-d 00:00:00', strtotime('this week Monday'));
		$end=date('Y-m-d 23:59:59');
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; 
	}
	else if($_POST['period_preset']=='last_week')
	{
		$previous_week = strtotime("-1 week +1 day");
		$start_week = strtotime("last monday midnight",$previous_week);
		$end_week = strtotime("next friday",$start_week);
        $start = date("Y-m-d 00:00:00",$start_week);
		$end = date("Y-m-d 23:59:59",$end_week);
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; 
	}
	else if($_POST['period_preset']=='last_7_days')
	{
		$start=date('Y-m-d 00:00:00', strtotime('Today - 7 Day'));
		$end=date('Y-m-d 23:59:59');
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; 
	}
	else if($_POST['period_preset']=='this_month')
	{
		$start=date('Y-m-d 00:00:00', mktime(0, 0, 0, date('m'), 1, date('Y')));
		$end=date('Y-m-d 23:59:59');
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; 
	}
	else if($_POST['period_preset']=='last_month')
	{
		$start=date('Y-m-d 00:00:00', mktime(0, 0, 0, (date('m') - 1), 1, date('Y')));
		$end=date('Y-m-d 23:59:59', mktime(0, 0, 0, date('m'), 0, date('Y')));
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; 
	}	
	else if($_POST['period_preset']=='all_stats')
	{
		$start=date("0000-00-00 00:00:00");
		$end=date("Y-m-d 23:59:59");
		$result=time_zone($start,$end);
		$startdate='0000-00-00 00:00:00'; 
		$endate=$result[1];
	}
	else if($_POST['period_preset']=='specific')
	{
		$start=$_POST['period_start'];
		$end=$_POST['period_end'];
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; 
	}
}
else
{
	if (isset($_SESSION["geoquery"])) 
	{
	   if (basename($_SERVER['PHP_SELF']) != $_SESSION["query2"]) 
	   {
			session_unset();
	   }
	}
	$startdate=date('Y-m-d 00:00:00');
	$endate=date('Y-m-d 23:59:59');
}
    
	    $hcondition .= "v.interval_start >= '".$startdate."' and v.interval_start <= '".$endate."'";

		// $query = OA_Dal_Delivery_query("SELECT DATE(v.interval_start) as date, SUM(v.count) AS total_count, v.hb_bidder, v.vast_event_id, v.zone_id,z.zonename
		// FROM hb_event_stat as v JOIN {$table_prefix}zones as z
		// where v.zone_id=z.zoneid  ".$hcondition."
		// GROUP BY zone_id,DATE(interval_start),hb_bidder,vast_event_id ORDER BY hb_bidder,vast_event_id");

		$query = OA_Dal_Delivery_query("SELECT 
    DATE(v.interval_start) AS date, 
    SUM(CASE WHEN v.vast_event_id = 1 THEN v.count ELSE 0 END) AS start,
    SUM(CASE WHEN v.vast_event_id = 2 THEN v.count ELSE 0 END) AS midpoint,
    SUM(CASE WHEN v.vast_event_id = 3 THEN v.count ELSE 0 END) AS firstquartile,
    SUM(CASE WHEN v.vast_event_id = 4 THEN v.count ELSE 0 END) AS thirdquartile,
    SUM(CASE WHEN v.vast_event_id = 5 THEN v.count ELSE 0 END) AS complete,
    SUM(CASE WHEN v.vast_event_id = 6 THEN v.count ELSE 0 END) AS mute,
    SUM(CASE WHEN v.vast_event_id = 7 THEN v.count ELSE 0 END) AS replay,
    SUM(CASE WHEN v.vast_event_id = 8 THEN v.count ELSE 0 END) AS fullscreen,
    SUM(CASE WHEN v.vast_event_id = 9 THEN v.count ELSE 0 END) AS stop,
    SUM(CASE WHEN v.vast_event_id = 10 THEN v.count ELSE 0 END) AS unmute,
    SUM(CASE WHEN v.vast_event_id = 11 THEN v.count ELSE 0 END) AS resume,
    SUM(CASE WHEN v.vast_event_id = 12 THEN v.count ELSE 0 END) AS pause,
    v.hb_bidder, 
    v.zone_id, 
    z.zonename
FROM 
    hb_event_stat AS v 
JOIN 
    rv_zones AS z ON v.zone_id = z.zoneid
WHERE 
    $hcondition
GROUP BY 
    DATE(v.interval_start), 
    v.hb_bidder, 
    v.zone_id, 
    z.zonename
ORDER BY 
    v.hb_bidder, 
    DATE(v.interval_start)");



function time_zone($start,$end)
{
	$end_date =  date('Y-m-d',strtotime($end));	
	$end_day=new Date($end_date);
	$end_day->setHour(23);
	$end_day->setMinute(59);
	$end_day->setSecond(59);
	$end_day->toUTC();
	$end_date=$end_day->format('%Y-%m-%d %H:%M:%S');
    $start_day=new Date($start);
	$start_day->setHour(0);
	$start_day->setMinute(0);
	$start_day->setSecond(0);
	$start_day->toUTC();
	$start_date=$start_day->format('%Y-%m-%d %H:%M:%S'); 
    $date[]=$start_date;
	$date[]=$end_date;
	return $date;	
}

?>
<form method='post' id="form">
	<select name='period_preset' id='period_preset' onchange='periodFormChange(1)' tabindex='1'>
            <option value='today' selected='selected'>Today</option>
			<option value='yesterday' <?php if($_period == "yesterday") : ?> selected="selected" <?php endif; ?> >Yesterday</option>
            <option value='this_week' <?php if($_period == "this_week") : ?> selected="selected" <?php endif; ?> >This week</option>
            <option value='last_week' <?php if($_period == "last_week") : ?> selected="selected" <?php endif; ?> > Last week</option>
            <option value='last_7_days' <?php if($_period == "last_7_days") : ?> selected="selected" <?php endif; ?> >Last 7 days</option>
            <option value='this_month' <?php if($_period == "this_month") : ?> selected="selected" <?php endif; ?> >This month</option>
            <option value='last_month' <?php if($_period == "last_month") : ?> selected="selected" <?php endif; ?> >Last month</option>
            <option value='all_stats' <?php if($_period == "all_stats") : ?> selected="selected" <?php endif; ?> >All statistics</option>
            <option value='specific' <?php if($_period == "specific") : ?> selected="selected" <?php endif; ?> >Specific dates</option>
    </select>
	<label for='period_start' style='margin-left: 1em'></label>
	<input class="date" name="period_start" id="period_start" type="text" value="<?php  if(!empty($start)){ echo $start;}else{ echo date('Y-m-d');}?>" tabindex="2"/>
	<input type='image' src='<?php echo $url ?>/assets/images/icon-calendar-d.gif' id='period_start_button' align='absmiddle' border='0' tabindex='3' />
	<label for='period_end' style='margin-left: 1em'> </label>
    <input class="date" name="period_end" id="period_end" type="text" value="<?php if(!empty($end)){ echo $end;}else{ echo date('Y-m-d');} ?>" tabindex="4" /> 
	<input type='image' src='<?php echo $url ?>/assets/images/icon-calendar-d.gif' id='period_end_button' align='absmiddle' border='0' tabindex='3' />
	<a href='' onclick='return periodFormSubmit()'>
    <img src='<?php echo $url ?>/assets/images/ltr/go_blue.gif' border='0' tabindex='6' /></a>
    <br/><br/>
</form>
<?php

if(OA_Dal_Delivery_numRows($query)>0)
{
$i =0;	
while($val=OA_Dal_Delivery_fetchAssoc($query))
{
	
	

$_SESSION['geoquery'][$i] =$val;
$i++;
}





}
else
{
	
echo '<div style="margin-top: 2em;" class="errormessage"><img border="0" align="absmiddle" width="16" height="16" src="assets/images/info.gif" class="errormessage">There are currently no statistics available</div>';	
}
?>


<?php

	$start=date('Y-m-d',strtotime($startdate));	
	$end=date('Y-m-d',strtotime($endate));	
	$groupby = $_POST['group_by']? $_POST['group_by']:'zone';

	if(OA_Dal_Delivery_numRows($query)>0)
	{
		// echo "<a href=network_stats_excel.php?startdate=$start&endate=$end&affiliateid=$affiliateid>Export Statistics to Excel</a>";
		$filename = "NetworkReport_".$start.'_'.$end; 
	?>

	<style type="text/css">
		#example td, #example th {
    border: 0.5px solid #ddd;
	padding: 8px 15px;
	}
		#container{
			margin-top: 5px!important;
			box-shadow: 0 1px 6px rgba(32,33,36,.28);
		}
		
		#export{

			background: grey;
			padding: 6px;
			border-radius: 5px;
			width: 50px;
			text-align: center;
			color: white;
			cursor: pointer;
		}
		#example thead {
    background: #eaeaea;
    font-size: 15px;
    color: black;
    font-weight: 700;
}
tr.dark.even {
    background: #e7e7e7;
}
	</style>

    <!-- <div id="export" onclick="export_table_to_csv('report_table', '<?=$filename?>.csv');"><b>Export</b></div> -->

<?php

	}

?>



<?php
  $tempQuery =  $_SESSION['geoquery'];
//   echo "<pre>";
//   print_r($tempQuery);
// 	  exit;

if($tempQuery>0)

{?>

<form method="POST">
  
<link rel='stylesheet' type='text/css' href='https://cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css'>
<script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
<div id="scroll" style="overflow-x:scroll">
<table width="100%" id="example" style="float:left;height:200px;">
<thead>
  
		<tr >
		<th scope="col">&nbsp; Date</th>
		<th scope="col">&nbsp; Zone</th>
		<th scope="col">&nbsp; Bidder</th>
		<th scope="col"> Started</th>
		<th scope="col">Viewed>25%</th>
		<th scope="col">Viewed>50%</th>
		<th scope="col">Viewed>75%</th>
		<th scope="col">Completed</th>
		<th scope="col">Replayed</th>
		<th scope="col"> Fullscreen</th>
		<th scope="col">Muted</th>
		<th scope="col">UnMute</th>
		<th scope="col">Stopped&nbsp;</th>
		<th scope="col">Pause&nbsp;</th>
		</tr>
		</thead>
       <?php
   


  for($i=0;$i<count($tempQuery);$i++)
	{	
	
	 if($i%2 == 0) {
		$class = "class=dark";
		$classtd = "dark";	
	} else {
		$class = "class=light";
		$classtd = "light";
	}
	
?>
<tr <?php echo $class;?>>
    <td class="czone" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['date']?></td> 
    <td class="czone" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['zonename']?></td> 
	<td class="czone" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['hb_bidder']?></td> 
	
	<td class="czone" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['start'];?></td> 
	
	

	<td class="czone" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['firstquartile']; ?></td> 
	
	
	
	<td class="czone" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['midpoint'];?></td> 
	
	
	<td class="czone" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['thirdquartile'];?></td> 
	
	
	<td class="czone" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['complete'];?></td> 
	
	
	<td class="czone" class="<?php echo $classtd;?>"><?php  echo $tempQuery[$i]['replay'];?></td> 
	
	
	<td class="czone" class="<?php echo $classtd;?>"><?php  echo $tempQuery[$i]['fullscreen'];?></td> 

	<td class="czone" class="<?php echo $classtd;?>"><?php  echo $tempQuery[$i]['mute'];?></td> 

	<td class="czone" class="<?php echo $classtd;?>"><?php  echo $tempQuery[$i]['unmute'];?></td> 

	<td class="czone" class="<?php echo $classtd;?>"><?php  echo $tempQuery[$i]['stop'];?></td> 

	<td class="czone" class="<?php echo $classtd;?>"><?php  echo $tempQuery[$i]['pause'];?></td> 
	
	
	
	

</tr>


<?php
}

}


?>
</table>
</div>
<script type="text/javascript">
$(document).ready( function () {
  
  $('#example').DataTable();
} );
</script>
<script type="text/javascript" src="//code.jquery.com/jquery-1.10.2.js"></script>


        <script type='text/javascript'>
			
        <!--
        Calendar.setup({
            inputField : 'period_start',
            ifFormat   : '%Y-%m-%d',
            button     : 'period_start_button',
            align      : 'Bl',
            weekNumbers: false,
            firstDay   : 1,
            electric   : false
        });
        Calendar.setup({
            inputField : 'period_end',
            ifFormat   : '%Y-%m-%d',
            button     : 'period_end_button',
            align      : 'Bl',
            weekNumbers: false,
            firstDay   : 1,
            electric   : false
        });

       
        //-->
 function periodFormChange(bAutoSubmit)
        {


 	    var o = document.getElementById('period_preset');
            var periodSelectName = o.options[o.selectedIndex].value;
            var specific = periodSelectName == 'specific';
 	    var periodTabIndex = 2;

 document.getElementById('period_start').readOnly = !specific;
            document.getElementById('period_start_button').disabled = !specific;
            document.getElementById('period_end').readOnly = !specific;
            document.getElementById('period_end_button').disabled = !specific;

            if (!specific) {
                document.getElementById('period_start').style.backgroundColor = '#CCCCCC';
                document.getElementById('period_end').style.backgroundColor = '#CCCCCC';
                document.getElementById('period_start').tabIndex = null;
                document.getElementById('period_start_button').tabIndex = null;
                document.getElementById('period_end').tabIndex = null;
                document.getElementById('period_end_button').tabIndex = null;
		document.getElementById('period_start_button').src = '<?php echo $url ?>/assets/images/icon-calendar-d.gif';
           	document.getElementById('period_end_button').src = '<?php echo $url ?>/assets/images/icon-calendar-d.gif' ;

            } else {
                document.getElementById('period_start').style.backgroundColor = '#FFFFFF';
                document.getElementById('period_end').style.backgroundColor = '#FFFFFF';
                document.getElementById('period_start').tabIndex = periodTabIndex;
                document.getElementById('period_start_button').tabIndex = periodTabIndex + 1;
                document.getElementById('period_end').tabIndex = periodTabIndex + 2;
                document.getElementById('period_end_button').tabIndex = periodTabIndex + 3;
	        document.getElementById('period_start_button').src = '<?php echo $url ?>/assets/images/icon-calendar.gif';
           	document.getElementById('period_end_button').src = '<?php echo $url ?>/assets/images/icon-calendar.gif' ;
            }

            document.getElementById('period_start_button').readOnly = !specific;
            document.getElementById('period_end_button').readOnly = !specific;
          
            document.getElementById('period_start_button').style.cursor = specific ? 'auto' : 'default';
            document.getElementById('period_end_button').style.cursor = specific ? 'auto' : 'default';

            if (!specific && bAutoSubmit) {
                o.form.submit();
            }
            
           
}


    function periodFormSubmit() {
		
            var form = document.getElementById('period_preset').form;
            if (checkDates(form)) {
              form.submit();
            }
            return false;
        }
    function checkDates(form)
        {
          var startField = form.period_start;
          var endField = form.period_end;

          if (!startField.disabled && startField.value != '') {
            var start = Date.parseDate(startField.value, '%Y-%m-%d 00:00:00');
          }
          if (!startField.disabled && endField.value != '') {
            var end = Date.parseDate(endField.value, '%Y-%m-%d 23:59:59');
          }

          if ((start != undefined && end != undefined) && (start.getTime() > end.getTime())) {
            //alert('\'From\' date must be earlier then \'To\' date');
           //return false;
          }
          return true;
        }
        
         var jq = $.noConflict(true);  
        jq(document).ready(function () {

    jq('#hbannertype').change(function () {
		
        if (!this.checked) {
            jq('#bannertype').show();
            jq('.cbannertype').show();
            }
        else 
        {
            jq('#bannertype').hide();
             jq('.cbannertype').hide();
		}
    });
    
     jq('#hrequest').change(function () {
		
        if (!this.checked) {
            jq('#request').show();
            jq('.crequest').show();
            }
        else 
        {
            jq('#request').hide();
             jq('.crequest').hide();
		}
    });
    
    jq('#himpression').change(function () {
		
        if (!this.checked) {
            jq('#impression').show();
             jq('.cimpression').show();
            }
        else 
        {
            jq('#impression').hide();
            jq('.cimpression').hide();
		}
    });
    
    
     jq('#hclick').change(function () {
		
        if (!this.checked) {
            jq('#click').show();
             jq('.cclick').show();
            }
        else 
        {
            jq('#click').hide();
            jq('.cclick').hide();
		}
    });
    
     jq('#hctr').change(function () {
		
        if (!this.checked) {
            jq('#ctr').show();
             jq('.cctr').show();
            }
        else 
        {
            jq('#ctr').hide();
            jq('.cctr').hide();
		}
    });
    
     jq('#hfillrate').change(function () {
		
        if (!this.checked) {
            jq('#fillrate').show();
             jq('.cfillrate').show();
            }
        else 
        {
            jq('#fillrate').hide();
            jq('.cfillrate').hide();
		}
    });
      
});


        </script>
      <style>
	.zoneval{
		background-color: #ddd42533;	
	}
	.exads,.inads,.demoads{
		
		background-color: white;
	}
</style>
</form>
</div>
<?php
//_echoDeliveryCappingJs();
phpAds_PageFooter();
?>
