<?php

// Require the initialisation file
require_once '../../../../init.php';

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
$value = json_decode($_POST['value'], true);

$parameter_id = json_decode($_POST['hb_parameter_id'], true);
$bidder_id = $_POST['bidder_id'];

$status = 0;
$created_date = date('Y-m-d H:i:s');

//~STATUS CHANGE
$no_required = 0;

$query = OA_Dal_Delivery_query("SELECT p.required, p.hb_parameter_id FROM {$table_prefix}djax_hb_params as p WHERE p.hb_bidder_id = {$bidder_id} AND p.required = 1 ");
$req_count = OA_Dal_Delivery_numRows($query);
$i = 0;

if($req_count > 0)
{
    while($value1 = OA_Dal_Delivery_fetchAssoc($query))
    {
        if($value1['required'] == 1 && $value1['hb_parameter_id'] == $parameter_id[$i])
        {
            $no_required = 1;

            if($value[$i] != '')
            {
                $status++;
            }
        }$i++;
    }
}
//~ NO REQUIRED FIELDS
if($no_required == 0)
{
    $status = 1;
}
else
{
    if($req_count == $status)
    {
        $status = 1;
    }
    else
    {
        $status = 2;
    }
}

OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_bidder_request SET is_approved = '".$status."' WHERE publisher_id = '".$_POST['account_id']."' AND bidder_id = {$bidder_id}");

//PARAMETER INSERT/UPDATE

if($bidder_id > 0)
{
	for($i=0;$i<sizeof($parameter_id);$i++)
	{
        $sel_query = OA_Dal_Delivery_query("SELECT count(parameter_id) as params FROM {$table_prefix}djax_hb_param_value WHERE account_id= '".$_POST['account_id']."' AND parameter_id = '".$parameter_id[$i]."' AND hb_bidder_id='".$bidder_id."' ");
        $values = OA_Dal_Delivery_fetchAssoc($sel_query);

        $existing_param = $values['params'];

        if($existing_param > 0 )
        {
		    OA_Dal_Delivery_query("UPDATE {$table_prefix}djax_hb_param_value SET param_value='".trim($value[$i])."' WHERE account_id= '".$_POST['account_id']."' AND parameter_id = '".$parameter_id[$i]."' AND hb_bidder_id='".$bidder_id."'");
          
        }
        else
        {
            OA_Dal_Delivery_query("INSERT INTO {$table_prefix}djax_hb_param_value ( account_id, hb_bidder_id, parameter_id, param_value, dj_admin_approve, dj_date_time ) VALUES ( '".$_POST['account_id']."', '".$bidder_id."', '".$parameter_id[$i]."', '".trim($value[$i])."', '1', '".$created_date."')");
        }
	}
}


//~SUB PARAMS UPDATE
$created_date = date('Y-m-d H:i:s');



$sub_param_value = json_decode($_POST['sub_param_value']);
$sub_param = json_decode($_POST['sub_param']);
$sub_param_id = json_decode($_POST['sub_param_id']);
$sub_param_name=json_decode($_POST['sub_param_name']);



if($sub_param_name > 0)
{
    for($i=0;$i<sizeof($sub_param_value);$i++)
    {
        $sel_query = OA_Dal_Delivery_query("SELECT count(hb_parameter_sub_value_id ), hb_parameter_sub_value_id as subparams FROM {$table_prefix}djax_hb_sub_param_value WHERE account_id= '".$_POST['account_id']."' AND parameter_id = '".$sub_param_name[$i]."' AND hb_bidder_id='".$bidder_id."'  AND sub_para_id= '".$sub_param[$i]."' AND hb_parameter_sub_value_id = '".$sub_param_id[$i]."'");
       $values2 = OA_Dal_Delivery_fetchAssoc($sel_query);
        
        $existing_param = $values2['subparams'];
       
        if($existing_param > 0 )
        {
	  OA_Dal_Delivery_query( "UPDATE {$table_prefix}djax_hb_sub_param_value SET sub_param_value='".trim($sub_param_value[$i])."' WHERE account_id= '".$_POST['account_id']."' AND  hb_parameter_sub_value_id= '".$sub_param_id[$i]."' " ); 
        }
        else
        {
        OA_Dal_Delivery_query("INSERT INTO {$table_prefix}djax_hb_sub_param_value (account_id,hb_bidder_id,parameter_id,sub_para_id,sub_param_value,dj_admin_approve,dj_date_time) VALUES ('".$_POST['account_id']."','".$bidder_id."','".$sub_param_name[$i]."','".$sub_param[$i]."', '".trim($sub_param_value[$i])."','1','".$created_date."')");
        }
    }
    

}

header('Location: '.$_SERVER['REQUEST_URI']);
echo json_decode("success");


exit;

?>